FLTK 1.3.3

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Friends | List of all members
Fl_GTK_File_Chooser Class Reference
Inheritance diagram for Fl_GTK_File_Chooser:

## Friends
class | Fl_Native_File_Chooser

## Additional Inherited Members
Protected Member Functions inherited from Fl_FLTK_File_Chooser
void | directory (const char *val)
const char * | directory () const
void | errmsg (const char *msg)
const char * | errmsg () const
int | exist_dialog ()
const char * | filter () const
void | filter (const char *)
void | filter_value (int i)
int | filter_value () const
int | filters () const
| Fl_FLTK_File_Chooser (int val)
void | options (int)
int | options () const
void | parse_filter ()
void | preset_file (const char *)
const char * | preset_file () const
int | type () const
int | type_fl_file (int)
Protected Attributes inherited from Fl_FLTK_File_Chooser
int | _btype
char * | _directory
char * | _errmsg
Fl_File_Chooser * | _file_chooser
char * | _filter
int | _filtvalue
int | _nfilters
int | _options
char * | _parsedfilt
char * | _preset_file
char * | _prevvalue

The documentation for this class was generated from the following files:

- Fl_Native_File_Chooser.H
- Fl_Native_File_Chooser_GTK.cxx

- © 1998-2014 by Bill Spitzak and others.